export default {
  name: '枚举选择/编辑框',
  propsOptions: [
    {
      name: 'selectedParma',
      label: '输出选中的值',
      type: 'param',
      outputTypeRequired: ['string', 'number', '[string]', '[number]'],
    },
    {
      name: 'enumOptionsParam',
      label: '输出选项数据',
      type: 'param',
      outputTypeRequired: ['[{label, value}]'],
    },
    {
      name: 'ableAdd',
      label: '充许新增选项',
      type: 'boolean',
      value: true,
    },
    {
      name: 'ableMove',
      label: '充许位移选项',
      type: 'boolean',
      value: true,
    },
    {
      name: 'ableRemove',
      label: '充许删除选项',
      type: 'boolean',
      value: true,
    },
    {
      name: 'ableChecked',
      label: '充许选择选项',
      type: 'boolean',
      value: true,
    },
    {
      name: 'bordered',
      label: '边框',
      type: 'boolean',
      value: true,
    },
    {
      name: 'size',
      label: '控件大小',
      type: 'select',
      value: 'middle',
      selectOptions: [
        {
          label: 'large',
          value: 'large',
        },
        {
          label: 'middle',
          value: 'middle',
        },
        {
          label: 'small',
          value: 'small',
        }
      ],
    },
    {
      name: 'optionsEmpty',
      label: '选项空提示',
      type: 'string',
      value: '',
    },
    {
      name: 'placeholder',
      label: '输入框提示',
      type: 'string',
      value: '',
    },
    {
      name: 'onlyEnumOptions',
      label: '仅选择编辑',
      type: 'boolean',
      value: false,
    },
  ],

  viewEditorConfig: {
    disabledHeightStyle : true,
  },
};
